Bug 1285885 - [RFE] SSO integration to the java-sdk
[RFE] SSO integration to the java-sdk
Product: ovirt-engine-sdk-java
Classification: oVirt
Component: RFEs (Show other bugs)
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-4.0.0-beta
Assigned To: Ondra Machacek
: FutureFeature, Improvement
: 1308458 (view as bug list)
Depends On:
Blocks: ovirt-aaa-sso
  Show dependency treegraph
Reported: 2015-11-26 16:05 EST by Alon Bar-Lev
Modified: 2017-02-13 08:18 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-08-04 09:26:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
lsvaty: testing_plan_complete-
mgoldboi: planning_ack+
juan.hernandez: devel_ack+
pstehlik: testing_ack+

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 56109 master MERGED Add SSO support 2016-04-20 07:31 EDT

  None (edit)
Description Alon Bar-Lev 2015-11-26 16:05:49 EST
Now that ovirt sso[1] is in place we can integrate the api to use the OAuth2 authentication instead of using the non standard restapi session management, we may even remove this mechanism if not actually required.

The /sso/oauth/token[-http-auth] with grant type [urn:ovirt:params:oauth:grant-type:http] entry points are probably what should be used for user/password authentication or spnego.

Once obtained authorization header of Bearer TOKEN should be used to access restapi.

We will probably require some modification to session timeouts as an extension to OAuth2, let's see what missing.

[1] http://www.ovirt.org/images/4/4c/OVirt_SSO_Specification.pdf
Comment 2 Juan Hernández 2016-04-07 06:42:46 EDT
*** Bug 1308458 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.